Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Class BinaryAsIntField

    java.lang.Object
      com.ibm.jzos.fields.BinaryAsIntField

All Implemented Interfaces:
  Field, IntAccessor

    public class BinaryAsIntField

extends java.lang.Object
implements IntAccessor

A 1-4 byte binary `Field` with int accessors.

Field Summary
`static int` | `DEFAULT_FIELD_WIDTH`
`static int` | `MAX_FIELD_WIDTH`
`static int` | `SIGNED_MAX_LEN1_VAL`
`static int` | `SIGNED_MAX_LEN2_VAL`
`static int` | `SIGNED_MAX_LEN3_VAL`
`static int` | `SIGNED_MAX_LEN4_VAL`
`static int` | `SIGNED_MIN_LEN1_VAL`
`static int` | `SIGNED_MIN_LEN2_VAL`
`static int` | `SIGNED_MIN_LEN3_VAL`
`static int` | `SIGNED_MIN_LEN4_VAL`
`static int` | `UNSIGNED_MAX_LEN1_VAL`
`static int` | `UNSIGNED_MAX_LEN2_VAL`
`static int` | `UNSIGNED_MAX_LEN3_VAL`
`static int` | `UNSIGNED_MAX_LEN4_VAL`

Constructor Summary
`BinaryAsIntField(int offset)` Construct a signed instance with a field width = DEFAULT_FIELD_WIDTH = 4.
`BinaryAsIntField(int offset, int length)` Construct a signed instance with a given offset and length.
`BinaryAsIntField(int offset, int length, boolean signed)` Construct an instance.

Method Summary
`boolean` | `equals(java.lang.Integer anInteger, int anInt)` Compare an Integer, possibly null, with an int for equality.
`int` | `getByteLength()` Answer the length of the field described by the receiver
`int` | `getInt(byte[] buffer)` Answer an int from the given byte array buffer, at the offset of this field.
`int` | `getInt(byte[] buffer, int bufOffset)` Answer an int from the given byte array buffer, at the bufOffset + offset of this field.
`int` | `getOffset()` Answer the offset of this field into some array of bytes
`boolean` | `isSigned()` Answer true if this field described a signed binary int, false if unsigned.
`void` | `putInt(int value, byte[] buffer)` Put a signed int into thegiven byte array buffer, at the offset of this field.
`void` | `putInt(int value, byte[] buffer, int bufOffset)` Put a signed int into thegiven byte array buffer, at the bufOffset + offset of this field.
`void` | `setOffset(int offset)`
`void` | `setSigned(boolean signed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_FIELD_WIDTH

    public static final int MAX_FIELD_WIDTH

See Also:
  Constant Field Values

### DEFAULT_FIELD_WIDTH

    public static final int DEFAULT_FIELD_WIDTH

See Also:
  Constant Field Values

### SIGNED_MIN_LEN1_VAL

    public static final int SIGNED_MIN_LEN1_VAL

See Also:
  Constant Field Values

### SIGNED_MAX_LEN1_VAL

    public static final int SIGNED_MAX_LEN1_VAL

See Also:
  Constant Field Values

### SIGNED_MIN_LEN2_VAL

    public static final int SIGNED_MIN_LEN2_VAL

See Also:
  Constant Field Values

### SIGNED_MAX_LEN2_VAL

    public static final int SIGNED_MAX_LEN2_VAL

See Also:
  Constant Field Values

### SIGNED_MIN_LEN3_VAL

    public static final int SIGNED_MIN_LEN3_VAL

See Also:
  Constant Field Values

### SIGNED_MAX_LEN3_VAL

    public static final int SIGNED_MAX_LEN3_VAL

See Also:
  Constant Field Values

### SIGNED_MIN_LEN4_VAL

    public static final int SIGNED_MIN_LEN4_VAL

See Also:
  Constant Field Values

### SIGNED_MAX_LEN4_VAL

    public static final int SIGNED_MAX_LEN4_VAL

See Also:
  Constant Field Values

### UNSIGNED_MAX_LEN1_VAL

    public static final int UNSIGNED_MAX_LEN1_VAL

See Also:
  Constant Field Values

### UNSIGNED_MAX_LEN2_VAL

    public static final int UNSIGNED_MAX_LEN2_VAL

See Also:
  Constant Field Values

### UNSIGNED_MAX_LEN3_VAL

    public static final int UNSIGNED_MAX_LEN3_VAL

See Also:
  Constant Field Values

### UNSIGNED_MAX_LEN4_VAL

    public static final int UNSIGNED_MAX_LEN4_VAL

See Also:
  Constant Field Values

Constructor Detail

### BinaryAsIntField

    public BinaryAsIntField(int offset)

  Construct a signed instance with a field width = DEFAULT_FIELD_WIDTH = 4.

  Parameters:
    `offset` - int the offset in some byte array to the start of this field.

### BinaryAsIntField

    public BinaryAsIntField(int offset,
                            int length)

  Construct a signed instance with a given offset and length.

  Parameters:
    `offset` - int the offset in some byte array to the start of this field.
    `length` - int the size of the field in bytes

### BinaryAsIntField

    public BinaryAsIntField(int offset,
                            int length,
                            boolean signed)

  Construct an instance.

  Parameters:
    `offset` - int the offset in some byte array to the start of this field.
    `length` - int the size of the field in bytes
    `signed` - boolean true if the field is signed, false if unsigned.

Method Detail

### getByteLength

    public int getByteLength()

  Answer the length of the field described by the receiver

  Specified by:
    `getByteLength` in interface `Field`
  Returns:
    int

### getOffset

    public int getOffset()

  Answer the offset of this field into some array of bytes

  Specified by:
    `getOffset` in interface `Field`
  Returns:
    int

### setOffset

    public void setOffset(int offset)

  Specified by:
    `setOffset` in interface `Field`
  See Also:
    `getOffset()`

### getInt

    public int getInt(byte[] buffer)

  Answer an int from the given byte array buffer, at the offset of this field.

  Specified by:
    `getInt` in interface `IntAccessor`
  Parameters:
    `buffer` - the byte array
  Returns:
    int

### getInt

    public int getInt(byte[] buffer,
                      int bufOffset)

  Answer an int from the given byte array buffer, at the bufOffset + offset of this field.

  Specified by:
    `getInt` in interface `IntAccessor`
  Parameters:
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Returns:
    int

### putInt

    public void putInt(int value,
                       byte[] buffer)
                throws java.lang.IllegalArgumentException

  Put a signed int into thegiven byte array buffer, at the offset of this field.

  Specified by:
    `putInt` in interface `IntAccessor`
  Parameters:
    `value` - the signed int value
    `buffer` - the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

### putInt

    public void putInt(int value,
                       byte[] buffer,
                       int bufOffset)
                throws java.lang.IllegalArgumentException

  Put a signed int into thegiven byte array buffer, at the bufOffset + offset of this field.

  Specified by:
    `putInt` in interface `IntAccessor`
  Parameters:
    `value` - the signed int value
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

### isSigned

    public boolean isSigned()

  Answer true if this field described a signed binary int, false if unsigned.

  Specified by:
    `isSigned` in interface `IntAccessor`

### setSigned

    public void setSigned(boolean signed)

  See Also:
    `isSigned()`

### equals

    public boolean equals(java.lang.Integer anInteger,
                          int anInt)

  Compare an Integer, possibly null, with an int for equality.

  Parameters:
    `anInteger` -
    `anInt` -
  Returns:
    boolean true if equal, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD